### Signal

# GUsb Context::device-added

#### Declaration

    void
    device_added (
      GUsbContext* self,
      GUsbDevice* device,
      gpointer user_data
    )

#### Description

This signal is emitted when a USB device is added.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `GUsbDevice`

  A `GUsbDevice`.

  The data is owned by the caller of the function.